function dfxdx = dFlux_DynGrid_dx(n,ne,x)

%**************************************************************************
% The MatMol Group (2009)
% Function....... : Computes the flux gradient for the Buckley-Leverett
%                   example
% Input...........: n:  number of discretisation points
%                   ne: number of partial differential equations
%                   x:  current differential values
%**************************************************************************

dfxdx = 2*x.*(1-x)./((x.^2+((1-x).^2)).^2);

end % End of function dFlux_DynGrid
%**************************************************************************